<?php
if ( ! function_exists( 'biography_sanitize_email' ) ) :
    /**
     * Function to sanitize email
     *
     * @access public
     * @since 1.1
     *
     * @param $biography_input
     * @return int || float
     *
     */
    function biography_sanitize_email( $biography_email, $biography_setting ) {
        // Sanitize $biography_email as a hex value without the hash prefix.
        $biography_email = sanitize_email( $biography_email );

        // If $biography_email is a valid email, return it; otherwise, return the default.
        return ( ! null( $biography_email ) ? $biography_email : $biography_setting->default );
    }

endif;